Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.svm
Class PersistSVM

    java.lang.Object
      org.encog.ml.svm.PersistSVM

All Implemented Interfaces:
  EncogPersistor

    public class PersistSVM

extends Object
implements EncogPersistor

Persist a SVM.

Field Summary
`static String` | `PARAM_C` The parameter to hold the const C.
`static String` | `PARAM_CACHE_SIZE` The parameter to hold the cache size.
`static String` | `PARAM_COEF0` The parameter to hold the coef0.
`static String` | `PARAM_DEGREE` The parameter to hold the degree.
`static String` | `PARAM_EPS` The parameter to hold the eps.
`static String` | `PARAM_GAMMA` The parameter to hold the gamma.
`static String` | `PARAM_KERNEL_TYPE` The parameter to hold the kernel type.
`static String` | `PARAM_NU` The parameter to hold the nu.
`static String` | `PARAM_NUM_WEIGHT` The parameter to hold the number of weights.
`static String` | `PARAM_P` The parameter to hold the p.
`static String` | `PARAM_PROBABILITY` The parameter to hold the probability.
`static String` | `PARAM_SHRINKING` The parameter to hold the shrinking.
`static String` | `PARAM_START_ITERATIONS` The parameter to hold the statIterations.
`static String` | `PARAM_SVM_TYPE` The parameter to hold the SVM type.
`static String` | `PARAM_WEIGHT` The paramater to hold the weight.
`static String` | `PARAM_WEIGHT_LABEL` The parameter to hold the weight label.

Constructor Summary
`PersistSVM()`

Method Summary
`int` | `getFileVersion()`
`String` | `getPersistClassString()`
`Object` | `read(InputStream is)` Read the object from an input stream.
`void` | `save(OutputStream os, Object obj)` Save the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAM_C

    public static final String PARAM_C

  The parameter to hold the const C.

  See Also:
    Constant Field Values

### PARAM_CACHE_SIZE

    public static final String PARAM_CACHE_SIZE

  The parameter to hold the cache size.

  See Also:
    Constant Field Values

### PARAM_COEF0

    public static final String PARAM_COEF0

  The parameter to hold the coef0.

  See Also:
    Constant Field Values

### PARAM_DEGREE

    public static final String PARAM_DEGREE

  The parameter to hold the degree.

  See Also:
    Constant Field Values

### PARAM_EPS

    public static final String PARAM_EPS

  The parameter to hold the eps.

  See Also:
    Constant Field Values

### PARAM_GAMMA

    public static final String PARAM_GAMMA

  The parameter to hold the gamma.

  See Also:
    Constant Field Values

### PARAM_KERNEL_TYPE

    public static final String PARAM_KERNEL_TYPE

  The parameter to hold the kernel type.

  See Also:
    Constant Field Values

### PARAM_NUM_WEIGHT

    public static final String PARAM_NUM_WEIGHT

  The parameter to hold the number of weights.

  See Also:
    Constant Field Values

### PARAM_NU

    public static final String PARAM_NU

  The parameter to hold the nu.

  See Also:
    Constant Field Values

### PARAM_P

    public static final String PARAM_P

  The parameter to hold the p.

  See Also:
    Constant Field Values

### PARAM_PROBABILITY

    public static final String PARAM_PROBABILITY

  The parameter to hold the probability.

  See Also:
    Constant Field Values

### PARAM_SHRINKING

    public static final String PARAM_SHRINKING

  The parameter to hold the shrinking.

  See Also:
    Constant Field Values

### PARAM_START_ITERATIONS

    public static final String PARAM_START_ITERATIONS

  The parameter to hold the statIterations.

  See Also:
    Constant Field Values

### PARAM_SVM_TYPE

    public static final String PARAM_SVM_TYPE

  The parameter to hold the SVM type.

  See Also:
    Constant Field Values

### PARAM_WEIGHT

    public static final String PARAM_WEIGHT

  The paramater to hold the weight.

  See Also:
    Constant Field Values

### PARAM_WEIGHT_LABEL

    public static final String PARAM_WEIGHT_LABEL

  The parameter to hold the weight label.

  See Also:
    Constant Field Values

Constructor Detail

### PersistSVM

    public PersistSVM()

Method Detail

### getFileVersion

    public final int getFileVersion()

  Specified by:
    `getFileVersion` in interface `EncogPersistor`
  Returns:
    The file version.

### getPersistClassString

    public final String getPersistClassString()

  Specified by:
    `getPersistClassString` in interface `EncogPersistor`
  Returns:
    Get the class string for the object.

### read

    public final Object read(InputStream is)

  Read the object from an input stream.

  Specified by:
    `read` in interface `EncogPersistor`
  Parameters:
    `is` - The input stream.
  Returns:
    The object.

### save

    public final void save(OutputStream os,
                           Object obj)

  Save the object.

  Specified by:
    `save` in interface `EncogPersistor`
  Parameters:
    `os` - The output stream to save to.
    `obj` - The object to save.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.